import { SmzMenuItem } from '../../modules/smz-menu/models/smz-menu-item';
import { SmzEasyMenuTableBuilder } from './menu-builder';
import { SmzEasyTableBodyColumn, SmzEasyTableHeader, SmzEasyTableState } from '../../standalones/easy-table/models/smz-easy-table-state';
import { SmzEasyColumnCollectionBuilder } from './column-builder';
import { SmzEasyTablePaginatorBuilder } from './paginator-builder';
import { SmzEasyTableOptimizationsBuilder } from './optimizations-builder';
export declare class SmzEasyTableBuilder {
    _state: SmzEasyTableState;
    _tempMenu: {
        column: SmzEasyTableBodyColumn;
        header: SmzEasyTableHeader;
    };
    constructor(uiDefinitionName?: string);
    setTitle(title: string): SmzEasyTableBuilder;
    setDynamicTitle(callback: () => string): SmzEasyTableBuilder;
    setLocale(language: 'pt-BR' | 'en-US'): SmzEasyTableBuilder;
    setEmptyMessage(message: string): SmzEasyTableBuilder;
    paginator(itemsPerPage?: number): SmzEasyTablePaginatorBuilder;
    optimize(): SmzEasyTableOptimizationsBuilder;
    setDataIdProperty(property: string): SmzEasyTableBuilder;
    setSize(size: 'small' | 'regular' | 'large'): SmzEasyTableBuilder;
    menu(items?: SmzMenuItem[]): SmzEasyMenuTableBuilder;
    columns(): SmzEasyColumnCollectionBuilder;
    debugMode(): SmzEasyTableBuilder;
    build(): SmzEasyTableState;
}
